Bug 137751 - [new port] audio/jokosher: Multi-track non-linear audio editing
Summary: [new port] audio/jokosher: Multi-track non-linear audio editing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-14 01:50 UTC by swell.k
Modified: 2010-09-23 05:10 UTC (History)
0 users

See Also:


Attachments
jokosher.diff (19.48 KB, patch)
2009-08-14 01:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-08-14 01:50:02 UTC
----
Jokosher is a simple yet powerful multi-track studio. With it you can
create and record music, podcasts and more, all from an integrated
simple environment.

WWW: http://www.jokosher.org/
----

I do not use the port myself. Just wanted to try out the program.

BTW, does this port belong to python virtual category?
It's standalone app but installs into PYTHON_SITELIBDIR.
Comment 1 swell.k 2009-08-14 01:56:20 UTC
Oops, last minute change reintroduced @exec/@unexec for scrollkeeper in
plist. I always forget that INSTALLS_OMF already handles that.
Comment 2 Martin Wilke freebsd_committer 2009-08-14 10:23:50 UTC
State Changed
From-To: open->feedback

Please resend as share not as diff. 

Thx. 

- Martin
Comment 3 swell.k 2009-08-14 11:40:18 UTC
Martin Wilke <miwi@FreeBSD.org> writes:

> On Fri, Aug 14, 2009 at 09:24:58AM +0000, miwi@FreeBSD.org wrote:
>> Synopsis: [new port] audio/jokosher: Multi-track non-linear audio editing
>> 
>> State-Changed-From-To: open->feedback
>> State-Changed-By: miwi
>> State-Changed-When: Fri Aug 14 09:23:50 UTC 2009
>> State-Changed-Why: 
>> Please resend as share not as diff.
>
> s/share/shar
>

What's is the problem with diffs? They usually apply just
as easily provided you don't forget to specify `-pX'. Ex.

$ cd /usr/ports
$ fetch "http://www.freebsd.org/cgi/query-pr.cgi?prp=137751-1-txt&n=/jokosher.diff"
$ patch -sp0 -i jokosher.diff
$ cd audio/jokosher; make install clean

Anyway, here is shar generated by tar(1) with above fix and
without audio/Makefile diff. The diff was

$ diffstat -p0 jokosher.diff
 audio/Makefile           |    1 
 audio/jokosher/Makefile  |   80 ++++++++++
 audio/jokosher/distinfo  |    3 
 audio/jokosher/pkg-descr |    5 
 audio/jokosher/pkg-plist |  344 +++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 433 insertions(+)

--- jokosher.shar begins here ---
#!/bin/sh
# This is a shell archive
echo x audio/jokosher
mkdir -p audio/jokosher > /dev/null 2>&1
echo x audio/jokosher/pkg-plist
sed 's/^X//' > audio/jokosher/pkg-plist << 'SHAR_END'
Xbin/jokosher
X%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.py
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.py
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.py
X%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.py
X%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Event.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Event.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Event.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.py
X%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.py
X%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Extension.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Extension.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Extension.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Globals.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Globals.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Globals.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.py
X%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.py
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.py
X%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.py
X%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Project.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Project.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Project.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.py
X%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.py
X%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Utils.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Utils.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Utils.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.py
X%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/__init__.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.py
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.pyo
Xshare/applications/jokosher.desktop
Xshare/gnome/help/jokosher/C/figures/add_instrument.png
Xshare/gnome/help/jokosher/C/figures/extension_manager.png
Xshare/gnome/help/jokosher/C/figures/instrument_effects.png
Xshare/gnome/help/jokosher/C/figures/instrument_features.png
Xshare/gnome/help/jokosher/C/figures/main_window.png
Xshare/gnome/help/jokosher/C/figures/mixing_window.png
Xshare/gnome/help/jokosher/C/figures/volume_fades.png
Xshare/gnome/help/jokosher/C/figures/welcome_dialog.png
Xshare/gnome/help/jokosher/C/jokosher.xml
Xshare/gnome/help/jokosher/C/legal.xml
Xshare/icons/hicolor/48x48/apps/jokosher.png
X%%DATADIR%%/Instruments/acousticguitar.instr
X%%DATADIR%%/Instruments/audiofile.instr
X%%DATADIR%%/Instruments/bassdrum.instr
X%%DATADIR%%/Instruments/bassguitar.instr
X%%DATADIR%%/Instruments/cello.instr
X%%DATADIR%%/Instruments/cymbal.instr
X%%DATADIR%%/Instruments/drumkit.instr
X%%DATADIR%%/Instruments/effect.instr
X%%DATADIR%%/Instruments/electricguitar.instr
X%%DATADIR%%/Instruments/harmonica.instr
X%%DATADIR%%/Instruments/images/acousticguitar.png
X%%DATADIR%%/Instruments/images/audiofile.png
X%%DATADIR%%/Instruments/images/bassdrum.png
X%%DATADIR%%/Instruments/images/bassguitar.png
X%%DATADIR%%/Instruments/images/cello.png
X%%DATADIR%%/Instruments/images/cymbal.png
X%%DATADIR%%/Instruments/images/drumkit.png
X%%DATADIR%%/Instruments/images/effect.png
X%%DATADIR%%/Instruments/images/electricguitar.png
X%%DATADIR%%/Instruments/images/harmonica.png
X%%DATADIR%%/Instruments/images/keyboard.png
X%%DATADIR%%/Instruments/images/other.png
X%%DATADIR%%/Instruments/images/saxophone.png
X%%DATADIR%%/Instruments/images/snare.png
X%%DATADIR%%/Instruments/images/tomtom.png
X%%DATADIR%%/Instruments/images/trumpet.png
X%%DATADIR%%/Instruments/images/violin.png
X%%DATADIR%%/Instruments/images/vocal.png
X%%DATADIR%%/Instruments/keyboard.instr
X%%DATADIR%%/Instruments/other.instr
X%%DATADIR%%/Instruments/saxophone.instr
X%%DATADIR%%/Instruments/snare.instr
X%%DATADIR%%/Instruments/tomtom.instr
X%%DATADIR%%/Instruments/trumpet.instr
X%%DATADIR%%/Instruments/violin.instr
X%%DATADIR%%/Instruments/vocal.instr
X%%DATADIR%%/Jokosher.glade
X%%DATADIR%%/extensions/APIConsole-0.1-py2.4.egg
X%%DATADIR%%/extensions/ExtensionConsole-0.2-py2.5.egg
X%%DATADIR%%/extensions/FreesoundSearch-0.3-py2.6.egg
X%%DATADIR%%/extensions/GNOMEAudioProfiles.py
X%%DATADIR%%/extensions/InstrumentTypeManager-0.2-py2.4.egg
X%%DATADIR%%/extensions/Minimal-0.9-py2.4.egg
X%%DATADIR%%/extensions/PidginExtension-0.1-py2.5.egg
X%%DATADIR%%/extensions/SetTempo-0.1-py2.4.egg
X%%DATADIR%%/extensions/jokosher-dbus.py
X%%DATADIR%%/jokosher-logo.png
X%%DATADIR%%/pixmaps/effect_amplifiers.png
X%%DATADIR%%/pixmaps/effect_broken.png
X%%DATADIR%%/pixmaps/effect_chorus.png
X%%DATADIR%%/pixmaps/effect_compressors.png
X%%DATADIR%%/pixmaps/effect_delays.png
X%%DATADIR%%/pixmaps/effect_distortion.png
X%%DATADIR%%/pixmaps/effect_equalizers.png
X%%DATADIR%%/pixmaps/effect_filters.png
X%%DATADIR%%/pixmaps/effect_flangers.png
X%%DATADIR%%/pixmaps/effect_miscellaneous.png
X%%DATADIR%%/pixmaps/effect_modulators.png
X%%DATADIR%%/pixmaps/effect_oscillators.png
X%%DATADIR%%/pixmaps/effect_phasers.png
X%%DATADIR%%/pixmaps/effect_reverbs.png
X%%DATADIR%%/pixmaps/effect_simulators.png
X%%DATADIR%%/pixmaps/effect_stock_volume.png
X%%DATADIR%%/pixmaps/effect_unclassified.png
X%%DATADIR%%/pixmaps/icon_arm.png
X%%DATADIR%%/pixmaps/icon_cancel.png
X%%DATADIR%%/pixmaps/icon_click.png
X%%DATADIR%%/pixmaps/icon_disarm.png
X%%DATADIR%%/pixmaps/icon_effectsapply.png
X%%DATADIR%%/pixmaps/icon_fpdelete.png
X%%DATADIR%%/pixmaps/icon_fpsnap.png
X%%DATADIR%%/pixmaps/icon_group.png
X%%DATADIR%%/pixmaps/icon_mix.png
X%%DATADIR%%/pixmaps/icon_record.png
X%%DATADIR%%/pixmaps/icon_solo.png
X%%DATADIR%%/pixmaps/icon_split.png
X%%DATADIR%%/pixmaps/icon_trim.png
X%%DATADIR%%/pixmaps/jokosher-logo.png
X%%DATADIR%%/pixmaps/jokosher.png
X%%DATADIR%%/pixmaps/newproject.png
X%%DATADIR%%/pixmaps/stock_volume-mute.png
X%%DATADIR%%/pixmaps/stock_volume.png
X%%DATADIR%%/pixmaps/welcomeheader.png
Xshare/locale/ace/LC_MESSAGES/jokosher.mo
Xshare/locale/ar/LC_MESSAGES/jokosher.mo
Xshare/locale/bg/LC_MESSAGES/jokosher.mo
Xshare/locale/ca/LC_MESSAGES/jokosher.mo
Xshare/locale/cs/LC_MESSAGES/jokosher.mo
Xshare/locale/cy/LC_MESSAGES/jokosher.mo
Xshare/locale/da/LC_MESSAGES/jokosher.mo
Xshare/locale/de/LC_MESSAGES/jokosher.mo
Xshare/locale/el/LC_MESSAGES/jokosher.mo
Xshare/locale/en_AU/LC_MESSAGES/jokosher.mo
Xshare/locale/en_CA/LC_MESSAGES/jokosher.mo
Xshare/locale/en_GB/LC_MESSAGES/jokosher.mo
Xshare/locale/en_PH/LC_MESSAGES/jokosher.mo
Xshare/locale/eo/LC_MESSAGES/jokosher.mo
Xshare/locale/es/LC_MESSAGES/jokosher.mo
Xshare/locale/fa/LC_MESSAGES/jokosher.mo
Xshare/locale/fi/LC_MESSAGES/jokosher.mo
Xshare/locale/fr/LC_MESSAGES/jokosher.mo
Xshare/locale/gl/LC_MESSAGES/jokosher.mo
Xshare/locale/gu/LC_MESSAGES/jokosher.mo
Xshare/locale/he/LC_MESSAGES/jokosher.mo
Xshare/locale/hi/LC_MESSAGES/jokosher.mo
Xshare/locale/hu/LC_MESSAGES/jokosher.mo
Xshare/locale/id/LC_MESSAGES/jokosher.mo
Xshare/locale/it/LC_MESSAGES/jokosher.mo
Xshare/locale/ja/LC_MESSAGES/jokosher.mo
Xshare/locale/kk/LC_MESSAGES/jokosher.mo
Xshare/locale/lt/LC_MESSAGES/jokosher.mo
Xshare/locale/lv/LC_MESSAGES/jokosher.mo
Xshare/locale/mk/LC_MESSAGES/jokosher.mo
Xshare/locale/ml/LC_MESSAGES/jokosher.mo
Xshare/locale/mr/LC_MESSAGES/jokosher.mo
Xshare/locale/ms/LC_MESSAGES/jokosher.mo
Xshare/locale/nb/LC_MESSAGES/jokosher.mo
Xshare/locale/nl/LC_MESSAGES/jokosher.mo
Xshare/locale/pl/LC_MESSAGES/jokosher.mo
Xshare/locale/pt/LC_MESSAGES/jokosher.mo
Xshare/locale/pt_BR/LC_MESSAGES/jokosher.mo
Xshare/locale/ro/LC_MESSAGES/jokosher.mo
Xshare/locale/ru/LC_MESSAGES/jokosher.mo
Xshare/locale/sk/LC_MESSAGES/jokosher.mo
Xshare/locale/sl/LC_MESSAGES/jokosher.mo
Xshare/locale/sv/LC_MESSAGES/jokosher.mo
Xshare/locale/tl/LC_MESSAGES/jokosher.mo
Xshare/locale/tr/LC_MESSAGES/jokosher.mo
Xshare/locale/uk/LC_MESSAGES/jokosher.mo
Xshare/locale/zh_CN/LC_MESSAGES/jokosher.mo
Xshare/mime/application/x-jokosher.xml
Xshare/mime/packages/jokosher.xml
X%%OMF%%share/omf/jokosher/jokosher-C.omf
Xshare/pixmaps/jokosher.png
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/elements
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/ui
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher
X@dirrmtry share/applications
X@dirrm %%DATADIR%%/Instruments/images
X@dirrm %%DATADIR%%/Instruments
X@dirrm %%DATADIR%%/extensions
X@dirrm %%DATADIR%%/pixmaps
X@dirrm %%DATADIR%%
X@dirrm share/gnome/help/jokosher/C/figures
X@dirrm share/gnome/help/jokosher/C
X@dirrm share/gnome/help/jokosher
X@dirrmtry share/icons/hicolor/48x48/apps
X@dirrmtry share/icons/hicolor/48x48
X@dirrmtry share/icons/hicolor
X@dirrmtry share/icons
X@dirrmtry share/mime/application
X@dirrmtry share/locale/ace/LC_MESSAGES
X@dirrmtry share/locale/ace
X@dirrmtry share/locale/en_PH/LC_MESSAGES
X@dirrmtry share/locale/en_PH
X@dirrmtry share/locale/kk/LC_MESSAGES
X@dirrmtry share/locale/kk
X@dirrmtry share/locale/mr/LC_MESSAGES
X@dirrmtry share/locale/mr
X@dirrmtry share/locale/tl/LC_MESSAGES
X@dirrmtry share/locale/tl
X@dirrmtry share/locale/zh_CN.GB2312/LC_MESSAGES
X@dirrmtry share/locale/zh_CN.GB2312
X@dirrmtry share/locale/zh_TW.Big5/LC_MESSAGES
X@dirrmtry share/locale/zh_TW.Big5
X@dirrmtry share/locale
X%%OMF%%@dirrm share/omf/jokosher
X@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
X@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
X@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
X@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
SHAR_END
echo x audio/jokosher/distinfo
sed 's/^X//' > audio/jokosher/distinfo << 'SHAR_END'
XMD5 (jokosher-0.11.3.tar.gz) = 4f5d4341173a528c5cde596b569414d2
XSHA256 (jokosher-0.11.3.tar.gz) = 77f4cdf945d1c0be5acac4b40477f5330f599409ac9a52db83671ace7c6a4f1f
XSIZE (jokosher-0.11.3.tar.gz) = 1306067
SHAR_END
echo x audio/jokosher/Makefile
sed 's/^X//' > audio/jokosher/Makefile << 'SHAR_END'
X# New ports collection makefile for:	jokosher
X# Date created:				13 Aug 2009
X# Whom:					Anonymous
X#
X# $FreeBSD$
X#
X
XPORTNAME=	jokosher
XPORTVERSION=	0.11.3
XCATEGORIES=	audio
XMASTER_SITES=	http://launchpadlibrarian.net/${MAGICDIR}/
XMAGICDIR=	27493136
X
XMAINTAINER=	swell.k@gmail.com
XCOMMENT=	Multi-track non-linear audio editing
X
XRUN_DEPENDS+=	${PYTHON_SITELIBDIR}/xdg/__init__.py:${PORTSDIR}/devel/py-xdg \
X		easy_install:${PORTSDIR}/devel/py-setuptools
X
XUSE_PYTHON=	2.6+
XUSE_PYDISTUTILS=yes
XUSE_GSTREAMER=	gnonlin good python
XINSTALLS_ICONS=	yes
X
XWANT_GNOME=	yes
XWANT_GSTREAMER=	yes
X
XOPTIONS=	FLAC	"Flac export/import" on \
X		DBUS	"D-Bus extension" on \
X		GCONF	"Gnome Audio playback/record" on \
X		JACK	"Jack audio playback/record" off \
X		LADSPA	"Instrument effects" on \
X		LAME	"Mp3 export" off \
X		MP3	"Mp3 import" off \
X		PROFILES "Gnome Audio Profiles extension" off \
X		PULSE	"PulseAudio playback/record" off \
X		VORBIS	"Ogg Vorbis export/import" on
X#		PIDGIN	"Pidgin status extension" off \
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_DBUS)
XRUN_DEPENDS+=	${PYTHON_SITELIBDIR}/dbus/__init__.py:${PORTSDIR}/devel/py-dbus
X.endif
X
X.if defined(WITH_GNOME) || ${HAVE_GNOME:Mgnomehier}!=""
XUSE_GNOME+=	desktopfileutils gnomehier
X.endif
X
X.if defined(WITH_GNOME) || defined(WITH_PROFILES) \
X	|| ${HAVE_GNOME:Mpygnome2}!=""
XUSE_GNOME+=	pygnome2
X.endif
X
X#.if defined(WITH_PIDGIN)
X#WITH_DBUS=	yes
X#RUN_DEPENDS+=	pidgin:${PORTSDIR}/net-im/pidgin
X#.endif
X
X# XXX: need an option?
X.if defined(WITH_OMF) || exists(${LOCALBASE}/bin/scrollkeeper-update)
XRUN_DEPENDS+=	scrollkeeper-update:${PORTSDIR}/textproc/scrollkeeper
XINSTALLS_OMF=	yes
XPLIST_SUB+=	OMF=""
X.else
XPLIST_SUB+=	OMF="@comment "
X.endif
X
X.for plugin in flac gconf jack ladspa lame mp3 pulse vorbis
X. if defined(WITH_${plugin:U})
X   USE_GSTREAMER+= ${plugin}
X. endif
X.endfor
X
Xpost-patch:	.SILENT
X	${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|g' -e \
X		'\|scrollkeeper-preinstall|s|HELPURI\[fileNum]|"file://" + &|' \
X		${WRKSRC}/bin/${PORTNAME} ${WRKSRC}/${PYSETUP}
X
X.include <bsd.port.post.mk>
SHAR_END
echo x audio/jokosher/pkg-descr
sed 's/^X//' > audio/jokosher/pkg-descr << 'SHAR_END'
XJokosher is a simple yet powerful multi-track studio. With it you can
Xcreate and record music, podcasts and more, all from an integrated
Xsimple environment.
X
XWWW: http://www.jokosher.org/
SHAR_END
exit
--- jokosher.shar ends here ---
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-10-02 22:47:45 UTC
State Changed
From-To: feedback->open

Submitter has replied with feedback.
Comment 5 Greg Larkin freebsd_committer 2010-01-28 05:07:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 6 Greg Larkin freebsd_committer 2010-01-28 21:35:34 UTC
State Changed
From-To: open->feedback

Waiting for response from submitter, re: portlint warnings.
Comment 7 Greg Larkin freebsd_committer 2010-03-02 00:43:45 UTC
Responsible Changed
From-To: glarkin->freebsd-ports-bugs

Back to pool - no response from submitter.
Comment 8 Sylvio Cesar Teixeira freebsd_committer 2010-04-22 21:53:29 UTC
State Changed
From-To: feedback->closed

Timeout of feedback of submitter. (timeout > 60 days)
Comment 9 swell.k 2010-05-01 03:42:37 UTC
I'm not sure what portlint warnings glarkin@ meant. But those about
OPTIONS and python are false positives. MAGICDIR should probably be
thrown out, though.

$ portlint
WARN: Makefile: FLAC is listed in OPTIONS, but neither WITH_FLAC nor WITHOUT_FLAC appears.
WARN: Makefile: GCONF is listed in OPTIONS, but neither WITH_GCONF nor WITHOUT_GCONF appears.
WARN: Makefile: JACK is listed in OPTIONS, but neither WITH_JACK nor WITHOUT_JACK appears.
WARN: Makefile: LADSPA is listed in OPTIONS, but neither WITH_LADSPA nor WITHOUT_LADSPA appears.
WARN: Makefile: LAME is listed in OPTIONS, but neither WITH_LAME nor WITHOUT_LAME appears.
WARN: Makefile: MP3 is listed in OPTIONS, but neither WITH_MP3 nor WITHOUT_MP3 appears.
WARN: Makefile: PROFILES is listed in OPTIONS, but neither WITH_PROFILES nor WITHOUT_PROFILES appears.
WARN: Makefile: PULSE is listed in OPTIONS, but neither WITH_PULSE nor WITHOUT_PULSE appears.
WARN: Makefile: VORBIS is listed in OPTIONS, but neither WITH_VORBIS nor WITHOUT_VORBIS appears.
WARN: Makefile: [22]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
FATAL: Makefile: extra item "MAGICDIR" placed in the PORTNAME section.
WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors.
1 fatal error and 11 warnings found.

--
Just a note for the next porter.
Comment 10 swell.k 2010-05-03 11:05:14 UTC
OK, I've removed MAGICDIR and updated to 0.11.5. I'm a bit reluctant to
test it due to big number of dependencies. Based on `diff -urNd' there
shouldn't be any new ones.

Looks like I've missed `portlint -C' that reports a few more warns:

  WARN: /a/freebsd-ports/audio/jokosher/pkg-plist: [256]: installing gettext translation files, please define USE_GETTEXT as appropriate
  ...
  WARN: /a/freebsd-ports/audio/jokosher/pkg-plist: [305]: installing OMF files, please define INSTALLS_OMF (see the FreeBSD GNOME porting guide at http://www.FreeBSD.org/gnome/docs/porting.html for more details)

I'm not gonna fix the first one because the port doesn't depend on
gettext lib directly rather it relies on python interface. Our python
doesn't use gettext anyway, cf. ports/136917 and forcing devel/gettext
on users will not fix it.

The second one is another false positive.

The only portlint warn I'll not fix is this one:

  WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors.

--- jokosher.diff begins here ---
Index: audio/Makefile
===================================================================
RCS file: /a/.cvsup/ports/audio/Makefile,v
retrieving revision 1.1103
diff -u -p -r1.1103 Makefile
--- audio/Makefile	2 May 2010 10:45:35 -0000	1.1103
+++ audio/Makefile	3 May 2010 09:55:08 -0000
@@ -317,6 +317,7 @@
     SUBDIR += jamin
     SUBDIR += jid3lib
     SUBDIR += jmusic
+    SUBDIR += jokosher
     SUBDIR += juk
     SUBDIR += juke
     SUBDIR += julius
Index: audio/jokosher/Makefile
===================================================================
RCS file: audio/jokosher/Makefile
diff -N audio/jokosher/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/jokosher/Makefile	3 May 2010 09:35:30 -0000
@@ -0,0 +1,79 @@
+# New ports collection makefile for:	jokosher
+# Date created:				13 Aug 2009
+# Whom:					Anonymous
+#
+# $FreeBSD$
+#
+
+PORTNAME=	jokosher
+PORTVERSION=	0.11.5
+CATEGORIES=	audio
+MASTER_SITES=	http://launchpadlibrarian.net/43860543/
+
+MAINTAINER=	swell.k@gmail.com
+COMMENT=	Multi-track non-linear audio editing
+
+RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/xdg/__init__.py:${PORTSDIR}/devel/py-xdg \
+		easy_install:${PORTSDIR}/devel/py-setuptools
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=yes
+USE_GSTREAMER=	gnonlin good python
+INSTALLS_ICONS=	yes
+
+WANT_GNOME=	yes
+WANT_GSTREAMER=	yes
+
+OPTIONS=	FLAC	"Flac export/import" on \
+		DBUS	"D-Bus extension" on \
+		GCONF	"Gnome Audio playback/record" on \
+		JACK	"Jack audio playback/record" off \
+		LADSPA	"Instrument effects" on \
+		LAME	"Mp3 export" off \
+		MP3	"Mp3 import" off \
+		PROFILES "Gnome Audio Profiles extension" off \
+		PULSE	"PulseAudio playback/record" off \
+		VORBIS	"Ogg Vorbis export/import" on
+#		PIDGIN	"Pidgin status extension" off \
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_DBUS)
+RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/dbus/__init__.py:${PORTSDIR}/devel/py-dbus
+.endif
+
+.if defined(WITH_GNOME) || ${HAVE_GNOME:Mgnomehier}!=""
+USE_GNOME+=	desktopfileutils gnomehier
+.endif
+
+.if defined(WITH_GNOME) || defined(WITH_PROFILES) \
+	|| ${HAVE_GNOME:Mpygnome2}!=""
+USE_GNOME+=	pygnome2
+.endif
+
+#.if defined(WITH_PIDGIN)
+#WITH_DBUS=	yes
+#RUN_DEPENDS+=	pidgin:${PORTSDIR}/net-im/pidgin
+#.endif
+
+# XXX: need an option?
+.if defined(WITH_OMF) || exists(${LOCALBASE}/bin/scrollkeeper-update)
+RUN_DEPENDS+=	scrollkeeper-update:${PORTSDIR}/textproc/scrollkeeper
+INSTALLS_OMF=	yes
+PLIST_SUB+=	OMF=""
+.else
+PLIST_SUB+=	OMF="@comment "
+.endif
+
+.for plugin in flac gconf jack ladspa lame mp3 pulse vorbis
+. if defined(WITH_${plugin:U})
+   USE_GSTREAMER+= ${plugin}
+. endif
+.endfor
+
+post-patch:	.SILENT
+	${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|g' -e \
+		'\|scrollkeeper-preinstall|s|HELPURI\[fileNum]|"file://" + &|' \
+		${WRKSRC}/bin/${PORTNAME} ${WRKSRC}/${PYSETUP}
+
+.include <bsd.port.post.mk>
Index: audio/jokosher/distinfo
===================================================================
RCS file: audio/jokosher/distinfo
diff -N audio/jokosher/distinfo
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/jokosher/distinfo	3 May 2010 09:35:38 -0000
@@ -0,0 +1,3 @@
+MD5 (jokosher-0.11.5.tar.gz) = 941b1fac0a93e2963afc192545caf320
+SHA256 (jokosher-0.11.5.tar.gz) = 489e0d06c28c3a11b817e7d6e49573ad4942a9cd426ad62dbbf94f3cca03dedb
+SIZE (jokosher-0.11.5.tar.gz) = 1265726
Index: audio/jokosher/pkg-descr
===================================================================
RCS file: audio/jokosher/pkg-descr
diff -N audio/jokosher/pkg-descr
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/jokosher/pkg-descr	13 Aug 2009 06:25:19 -0000
@@ -0,0 +1,5 @@
+Jokosher is a simple yet powerful multi-track studio. With it you can
+create and record music, podcasts and more, all from an integrated
+simple environment.
+
+WWW: http://www.jokosher.org/
Index: audio/jokosher/pkg-plist
===================================================================
RCS file: audio/jokosher/pkg-plist
diff -N audio/jokosher/pkg-plist
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/jokosher/pkg-plist	3 May 2010 09:42:21 -0000
@@ -0,0 +1,344 @@
+bin/jokosher
+%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.py
+%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.py
+%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.py
+%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.py
+%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Event.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Event.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Event.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.py
+%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.py
+%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Extension.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Extension.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Extension.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Globals.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Globals.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Globals.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.py
+%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.py
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.py
+%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.py
+%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.py
+%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.py
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.py
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.py
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.py
+%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.py
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.py
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.py
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Project.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Project.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Project.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.py
+%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.py
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.py
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.py
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.py
+%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.py
+%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Utils.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Utils.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Utils.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.py
+%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.py
+%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.py
+%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/__init__.py
+%%PYTHON_SITELIBDIR%%/Jokosher/__init__.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/__init__.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.py
+%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.py
+%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.pyo
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.py
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.pyc
+%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.pyo
+share/applications/jokosher.desktop
+share/gnome/help/jokosher/C/figures/add_instrument.png
+share/gnome/help/jokosher/C/figures/extension_manager.png
+share/gnome/help/jokosher/C/figures/instrument_effects.png
+share/gnome/help/jokosher/C/figures/instrument_features.png
+share/gnome/help/jokosher/C/figures/main_window.png
+share/gnome/help/jokosher/C/figures/mixing_window.png
+share/gnome/help/jokosher/C/figures/volume_fades.png
+share/gnome/help/jokosher/C/figures/welcome_dialog.png
+share/gnome/help/jokosher/C/jokosher.xml
+share/gnome/help/jokosher/C/legal.xml
+share/icons/hicolor/48x48/apps/jokosher.png
+%%DATADIR%%/Instruments/acousticguitar.instr
+%%DATADIR%%/Instruments/audiofile.instr
+%%DATADIR%%/Instruments/bassdrum.instr
+%%DATADIR%%/Instruments/bassguitar.instr
+%%DATADIR%%/Instruments/cello.instr
+%%DATADIR%%/Instruments/cymbal.instr
+%%DATADIR%%/Instruments/drumkit.instr
+%%DATADIR%%/Instruments/effect.instr
+%%DATADIR%%/Instruments/electricguitar.instr
+%%DATADIR%%/Instruments/harmonica.instr
+%%DATADIR%%/Instruments/images/acousticguitar.png
+%%DATADIR%%/Instruments/images/audiofile.png
+%%DATADIR%%/Instruments/images/bassdrum.png
+%%DATADIR%%/Instruments/images/bassguitar.png
+%%DATADIR%%/Instruments/images/cello.png
+%%DATADIR%%/Instruments/images/cymbal.png
+%%DATADIR%%/Instruments/images/drumkit.png
+%%DATADIR%%/Instruments/images/effect.png
+%%DATADIR%%/Instruments/images/electricguitar.png
+%%DATADIR%%/Instruments/images/harmonica.png
+%%DATADIR%%/Instruments/images/keyboard.png
+%%DATADIR%%/Instruments/images/other.png
+%%DATADIR%%/Instruments/images/saxophone.png
+%%DATADIR%%/Instruments/images/snare.png
+%%DATADIR%%/Instruments/images/tomtom.png
+%%DATADIR%%/Instruments/images/trumpet.png
+%%DATADIR%%/Instruments/images/violin.png
+%%DATADIR%%/Instruments/images/vocal.png
+%%DATADIR%%/Instruments/keyboard.instr
+%%DATADIR%%/Instruments/other.instr
+%%DATADIR%%/Instruments/saxophone.instr
+%%DATADIR%%/Instruments/snare.instr
+%%DATADIR%%/Instruments/tomtom.instr
+%%DATADIR%%/Instruments/trumpet.instr
+%%DATADIR%%/Instruments/violin.instr
+%%DATADIR%%/Instruments/vocal.instr
+%%DATADIR%%/Jokosher.glade
+%%DATADIR%%/extensions/ExtensionConsole-0.2-py2.5.egg
+%%DATADIR%%/extensions/FreesoundSearch-0.3-py2.6.egg
+%%DATADIR%%/extensions/GNOMEAudioProfiles.py
+%%DATADIR%%/extensions/InstrumentTypeManager-0.2-py2.4.egg
+%%DATADIR%%/extensions/Minimal-0.9-py2.4.egg
+%%DATADIR%%/extensions/PidginExtension-0.1-py2.5.egg
+%%DATADIR%%/extensions/SetTempo-0.1-py2.4.egg
+%%DATADIR%%/extensions/Fullscreen.py
+%%DATADIR%%/extensions/jokosher-dbus.py
+%%DATADIR%%/jokosher-logo.png
+%%DATADIR%%/pixmaps/effect_amplifiers.png
+%%DATADIR%%/pixmaps/effect_broken.png
+%%DATADIR%%/pixmaps/effect_chorus.png
+%%DATADIR%%/pixmaps/effect_compressors.png
+%%DATADIR%%/pixmaps/effect_delays.png
+%%DATADIR%%/pixmaps/effect_distortion.png
+%%DATADIR%%/pixmaps/effect_equalizers.png
+%%DATADIR%%/pixmaps/effect_filters.png
+%%DATADIR%%/pixmaps/effect_flangers.png
+%%DATADIR%%/pixmaps/effect_miscellaneous.png
+%%DATADIR%%/pixmaps/effect_modulators.png
+%%DATADIR%%/pixmaps/effect_oscillators.png
+%%DATADIR%%/pixmaps/effect_phasers.png
+%%DATADIR%%/pixmaps/effect_reverbs.png
+%%DATADIR%%/pixmaps/effect_simulators.png
+%%DATADIR%%/pixmaps/effect_stock_volume.png
+%%DATADIR%%/pixmaps/effect_unclassified.png
+%%DATADIR%%/pixmaps/icon_arm.png
+%%DATADIR%%/pixmaps/icon_cancel.png
+%%DATADIR%%/pixmaps/icon_click.png
+%%DATADIR%%/pixmaps/icon_disarm.png
+%%DATADIR%%/pixmaps/icon_effectsapply.png
+%%DATADIR%%/pixmaps/icon_fpdelete.png
+%%DATADIR%%/pixmaps/icon_fpsnap.png
+%%DATADIR%%/pixmaps/icon_group.png
+%%DATADIR%%/pixmaps/icon_mix.png
+%%DATADIR%%/pixmaps/icon_record.png
+%%DATADIR%%/pixmaps/icon_solo.png
+%%DATADIR%%/pixmaps/icon_split.png
+%%DATADIR%%/pixmaps/icon_trim.png
+%%DATADIR%%/pixmaps/jokosher-logo.png
+%%DATADIR%%/pixmaps/jokosher.png
+%%DATADIR%%/pixmaps/newproject.png
+%%DATADIR%%/pixmaps/stock_volume-mute.png
+%%DATADIR%%/pixmaps/stock_volume.png
+%%DATADIR%%/pixmaps/welcomeheader.png
+share/locale/ace/LC_MESSAGES/jokosher.mo
+share/locale/ar/LC_MESSAGES/jokosher.mo
+share/locale/bg/LC_MESSAGES/jokosher.mo
+share/locale/ca/LC_MESSAGES/jokosher.mo
+share/locale/cs/LC_MESSAGES/jokosher.mo
+share/locale/cy/LC_MESSAGES/jokosher.mo
+share/locale/da/LC_MESSAGES/jokosher.mo
+share/locale/de/LC_MESSAGES/jokosher.mo
+share/locale/el/LC_MESSAGES/jokosher.mo
+share/locale/en_AU/LC_MESSAGES/jokosher.mo
+share/locale/en_CA/LC_MESSAGES/jokosher.mo
+share/locale/en_GB/LC_MESSAGES/jokosher.mo
+share/locale/en_PH/LC_MESSAGES/jokosher.mo
+share/locale/eo/LC_MESSAGES/jokosher.mo
+share/locale/es/LC_MESSAGES/jokosher.mo
+share/locale/fa/LC_MESSAGES/jokosher.mo
+share/locale/fi/LC_MESSAGES/jokosher.mo
+share/locale/fr/LC_MESSAGES/jokosher.mo
+share/locale/gl/LC_MESSAGES/jokosher.mo
+share/locale/gu/LC_MESSAGES/jokosher.mo
+share/locale/he/LC_MESSAGES/jokosher.mo
+share/locale/hi/LC_MESSAGES/jokosher.mo
+share/locale/hu/LC_MESSAGES/jokosher.mo
+share/locale/id/LC_MESSAGES/jokosher.mo
+share/locale/it/LC_MESSAGES/jokosher.mo
+share/locale/ja/LC_MESSAGES/jokosher.mo
+share/locale/kk/LC_MESSAGES/jokosher.mo
+share/locale/lt/LC_MESSAGES/jokosher.mo
+share/locale/lv/LC_MESSAGES/jokosher.mo
+share/locale/mk/LC_MESSAGES/jokosher.mo
+share/locale/ml/LC_MESSAGES/jokosher.mo
+share/locale/mr/LC_MESSAGES/jokosher.mo
+share/locale/ms/LC_MESSAGES/jokosher.mo
+share/locale/nb/LC_MESSAGES/jokosher.mo
+share/locale/nl/LC_MESSAGES/jokosher.mo
+share/locale/pl/LC_MESSAGES/jokosher.mo
+share/locale/pt/LC_MESSAGES/jokosher.mo
+share/locale/pt_BR/LC_MESSAGES/jokosher.mo
+share/locale/ro/LC_MESSAGES/jokosher.mo
+share/locale/ru/LC_MESSAGES/jokosher.mo
+share/locale/sk/LC_MESSAGES/jokosher.mo
+share/locale/sl/LC_MESSAGES/jokosher.mo
+share/locale/sv/LC_MESSAGES/jokosher.mo
+share/locale/tl/LC_MESSAGES/jokosher.mo
+share/locale/tr/LC_MESSAGES/jokosher.mo
+share/locale/uk/LC_MESSAGES/jokosher.mo
+share/locale/zh_CN/LC_MESSAGES/jokosher.mo
+share/mime/application/x-jokosher.xml
+share/mime/packages/jokosher.xml
+%%OMF%%share/omf/jokosher/jokosher-C.omf
+share/pixmaps/jokosher.png
+@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils
+@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/elements
+@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/ui
+@dirrm %%PYTHON_SITELIBDIR%%/Jokosher
+@dirrmtry share/applications
+@dirrm %%DATADIR%%/Instruments/images
+@dirrm %%DATADIR%%/Instruments
+@dirrm %%DATADIR%%/extensions
+@dirrm %%DATADIR%%/pixmaps
+@dirrm %%DATADIR%%
+@dirrm share/gnome/help/jokosher/C/figures
+@dirrm share/gnome/help/jokosher/C
+@dirrm share/gnome/help/jokosher
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry share/mime/application
+@dirrmtry share/locale/ace/LC_MESSAGES
+@dirrmtry share/locale/ace
+@dirrmtry share/locale/en_PH/LC_MESSAGES
+@dirrmtry share/locale/en_PH
+@dirrmtry share/locale/kk/LC_MESSAGES
+@dirrmtry share/locale/kk
+@dirrmtry share/locale/mr/LC_MESSAGES
+@dirrmtry share/locale/mr
+@dirrmtry share/locale/tl/LC_MESSAGES
+@dirrmtry share/locale/tl
+@dirrmtry share/locale/zh_CN.GB2312/LC_MESSAGES
+@dirrmtry share/locale/zh_CN.GB2312
+@dirrmtry share/locale/zh_TW.Big5/LC_MESSAGES
+@dirrmtry share/locale/zh_TW.Big5
+@dirrmtry share/locale
+%%OMF%%@dirrm share/omf/jokosher
+@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
+@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
--- jokosher.diff ends here ---
Comment 11 swell.k 2010-06-22 04:55:57 UTC
Erm, can you reopen it? After 5 month of waiting and been away/busy for
subsequent 3 months I think the PR should be re-evaluated by a committer.

Here is a slightly modified obligatory shar file.

--- jokosher.shar begins here ---
#!/bin/sh
# This is a shell archive
echo x audio/jokosher
mkdir -p audio/jokosher > /dev/null 2>&1
echo x audio/jokosher/pkg-descr
sed 's/^X//' > audio/jokosher/pkg-descr << 'SHAR_END'
XJokosher is a simple yet powerful multi-track studio. With it you can
Xcreate and record music, podcasts and more, all from an integrated
Xsimple environment.
X
XWWW: http://www.jokosher.org/
SHAR_END
echo x audio/jokosher/pkg-plist
sed 's/^X//' > audio/jokosher/pkg-plist << 'SHAR_END'
Xbin/jokosher
X%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/AddInstrumentDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.py
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioBackend.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.py
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/AudioPreview.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.py
X%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/CompactMixView.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ControlsBox.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.py
X%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/EffectPresets.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Event.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Event.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Event.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.py
X%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/EventLaneViewer.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.py
X%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/EventViewer.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Extension.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Extension.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Extension.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ExtensionManagerDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Globals.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Globals.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Globals.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.py
X%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/IncrementalSave.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Instrument.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentConnectionsDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentEffectsDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.py
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/InstrumentViewer.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.py
X%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/JokosherApp.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.py
X%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/LevelsList.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MasterMixerStrip.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownActions.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfileManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixdownProfiles.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.py
X%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/MixerStrip.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/NewProjectDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Unix.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/Windows.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils/__init__.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/PreferencesDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Profiler.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Project.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Project.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Project.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplate.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ProjectTemplateDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.py
X%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/RecordingView.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLine.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeLineBar.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TimeView.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.py
X%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/TransportManager.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.py
X%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/UndoSystem.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Utils.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Utils.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Utils.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.py
X%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/VUWidget.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.py
X%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/WelcomeDialog.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.py
X%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/Workspace.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/__init__.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/__init__.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.py
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/elements/singledecodebin.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/EventLaneHSeparator.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/MessageArea.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/StatusBar.pyo
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.py
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.pyc
X%%PYTHON_SITELIBDIR%%/Jokosher/ui/__init__.pyo
Xshare/applications/jokosher.desktop
Xshare/gnome/help/jokosher/C/figures/add_instrument.png
Xshare/gnome/help/jokosher/C/figures/extension_manager.png
Xshare/gnome/help/jokosher/C/figures/instrument_effects.png
Xshare/gnome/help/jokosher/C/figures/instrument_features.png
Xshare/gnome/help/jokosher/C/figures/main_window.png
Xshare/gnome/help/jokosher/C/figures/mixing_window.png
Xshare/gnome/help/jokosher/C/figures/volume_fades.png
Xshare/gnome/help/jokosher/C/figures/welcome_dialog.png
Xshare/gnome/help/jokosher/C/jokosher.xml
Xshare/gnome/help/jokosher/C/legal.xml
Xshare/icons/hicolor/48x48/apps/jokosher.png
X%%DATADIR%%/Instruments/acousticguitar.instr
X%%DATADIR%%/Instruments/audiofile.instr
X%%DATADIR%%/Instruments/bassdrum.instr
X%%DATADIR%%/Instruments/bassguitar.instr
X%%DATADIR%%/Instruments/cello.instr
X%%DATADIR%%/Instruments/cymbal.instr
X%%DATADIR%%/Instruments/drumkit.instr
X%%DATADIR%%/Instruments/effect.instr
X%%DATADIR%%/Instruments/electricguitar.instr
X%%DATADIR%%/Instruments/harmonica.instr
X%%DATADIR%%/Instruments/images/acousticguitar.png
X%%DATADIR%%/Instruments/images/audiofile.png
X%%DATADIR%%/Instruments/images/bassdrum.png
X%%DATADIR%%/Instruments/images/bassguitar.png
X%%DATADIR%%/Instruments/images/cello.png
X%%DATADIR%%/Instruments/images/cymbal.png
X%%DATADIR%%/Instruments/images/drumkit.png
X%%DATADIR%%/Instruments/images/effect.png
X%%DATADIR%%/Instruments/images/electricguitar.png
X%%DATADIR%%/Instruments/images/harmonica.png
X%%DATADIR%%/Instruments/images/keyboard.png
X%%DATADIR%%/Instruments/images/other.png
X%%DATADIR%%/Instruments/images/saxophone.png
X%%DATADIR%%/Instruments/images/snare.png
X%%DATADIR%%/Instruments/images/tomtom.png
X%%DATADIR%%/Instruments/images/trumpet.png
X%%DATADIR%%/Instruments/images/violin.png
X%%DATADIR%%/Instruments/images/vocal.png
X%%DATADIR%%/Instruments/keyboard.instr
X%%DATADIR%%/Instruments/other.instr
X%%DATADIR%%/Instruments/saxophone.instr
X%%DATADIR%%/Instruments/snare.instr
X%%DATADIR%%/Instruments/tomtom.instr
X%%DATADIR%%/Instruments/trumpet.instr
X%%DATADIR%%/Instruments/violin.instr
X%%DATADIR%%/Instruments/vocal.instr
X%%DATADIR%%/Jokosher.glade
X%%DATADIR%%/extensions/ExtensionConsole-0.2-py2.5.egg
X%%DATADIR%%/extensions/FreesoundSearch-0.3-py2.6.egg
X%%DATADIR%%/extensions/GNOMEAudioProfiles.py
X%%DATADIR%%/extensions/InstrumentTypeManager-0.2-py2.4.egg
X%%DATADIR%%/extensions/Minimal-0.9-py2.4.egg
X%%DATADIR%%/extensions/PidginExtension-0.1-py2.5.egg
X%%DATADIR%%/extensions/SetTempo-0.1-py2.4.egg
X%%DATADIR%%/extensions/Fullscreen.py
X%%DATADIR%%/extensions/jokosher-dbus.py
X%%DATADIR%%/jokosher-logo.png
X%%DATADIR%%/pixmaps/effect_amplifiers.png
X%%DATADIR%%/pixmaps/effect_broken.png
X%%DATADIR%%/pixmaps/effect_chorus.png
X%%DATADIR%%/pixmaps/effect_compressors.png
X%%DATADIR%%/pixmaps/effect_delays.png
X%%DATADIR%%/pixmaps/effect_distortion.png
X%%DATADIR%%/pixmaps/effect_equalizers.png
X%%DATADIR%%/pixmaps/effect_filters.png
X%%DATADIR%%/pixmaps/effect_flangers.png
X%%DATADIR%%/pixmaps/effect_miscellaneous.png
X%%DATADIR%%/pixmaps/effect_modulators.png
X%%DATADIR%%/pixmaps/effect_oscillators.png
X%%DATADIR%%/pixmaps/effect_phasers.png
X%%DATADIR%%/pixmaps/effect_reverbs.png
X%%DATADIR%%/pixmaps/effect_simulators.png
X%%DATADIR%%/pixmaps/effect_stock_volume.png
X%%DATADIR%%/pixmaps/effect_unclassified.png
X%%DATADIR%%/pixmaps/icon_arm.png
X%%DATADIR%%/pixmaps/icon_cancel.png
X%%DATADIR%%/pixmaps/icon_click.png
X%%DATADIR%%/pixmaps/icon_disarm.png
X%%DATADIR%%/pixmaps/icon_effectsapply.png
X%%DATADIR%%/pixmaps/icon_fpdelete.png
X%%DATADIR%%/pixmaps/icon_fpsnap.png
X%%DATADIR%%/pixmaps/icon_group.png
X%%DATADIR%%/pixmaps/icon_mix.png
X%%DATADIR%%/pixmaps/icon_record.png
X%%DATADIR%%/pixmaps/icon_solo.png
X%%DATADIR%%/pixmaps/icon_split.png
X%%DATADIR%%/pixmaps/icon_trim.png
X%%DATADIR%%/pixmaps/jokosher-logo.png
X%%DATADIR%%/pixmaps/jokosher.png
X%%DATADIR%%/pixmaps/newproject.png
X%%DATADIR%%/pixmaps/stock_volume-mute.png
X%%DATADIR%%/pixmaps/stock_volume.png
X%%DATADIR%%/pixmaps/welcomeheader.png
Xshare/locale/ace/LC_MESSAGES/jokosher.mo
Xshare/locale/ar/LC_MESSAGES/jokosher.mo
Xshare/locale/bg/LC_MESSAGES/jokosher.mo
Xshare/locale/ca/LC_MESSAGES/jokosher.mo
Xshare/locale/cs/LC_MESSAGES/jokosher.mo
Xshare/locale/cy/LC_MESSAGES/jokosher.mo
Xshare/locale/da/LC_MESSAGES/jokosher.mo
Xshare/locale/de/LC_MESSAGES/jokosher.mo
Xshare/locale/el/LC_MESSAGES/jokosher.mo
Xshare/locale/en_AU/LC_MESSAGES/jokosher.mo
Xshare/locale/en_CA/LC_MESSAGES/jokosher.mo
Xshare/locale/en_GB/LC_MESSAGES/jokosher.mo
Xshare/locale/en_PH/LC_MESSAGES/jokosher.mo
Xshare/locale/eo/LC_MESSAGES/jokosher.mo
Xshare/locale/es/LC_MESSAGES/jokosher.mo
Xshare/locale/fa/LC_MESSAGES/jokosher.mo
Xshare/locale/fi/LC_MESSAGES/jokosher.mo
Xshare/locale/fr/LC_MESSAGES/jokosher.mo
Xshare/locale/gl/LC_MESSAGES/jokosher.mo
Xshare/locale/gu/LC_MESSAGES/jokosher.mo
Xshare/locale/he/LC_MESSAGES/jokosher.mo
Xshare/locale/hi/LC_MESSAGES/jokosher.mo
Xshare/locale/hu/LC_MESSAGES/jokosher.mo
Xshare/locale/id/LC_MESSAGES/jokosher.mo
Xshare/locale/it/LC_MESSAGES/jokosher.mo
Xshare/locale/ja/LC_MESSAGES/jokosher.mo
Xshare/locale/kk/LC_MESSAGES/jokosher.mo
Xshare/locale/lt/LC_MESSAGES/jokosher.mo
Xshare/locale/lv/LC_MESSAGES/jokosher.mo
Xshare/locale/mk/LC_MESSAGES/jokosher.mo
Xshare/locale/ml/LC_MESSAGES/jokosher.mo
Xshare/locale/mr/LC_MESSAGES/jokosher.mo
Xshare/locale/ms/LC_MESSAGES/jokosher.mo
Xshare/locale/nb/LC_MESSAGES/jokosher.mo
Xshare/locale/nl/LC_MESSAGES/jokosher.mo
Xshare/locale/pl/LC_MESSAGES/jokosher.mo
Xshare/locale/pt/LC_MESSAGES/jokosher.mo
Xshare/locale/pt_BR/LC_MESSAGES/jokosher.mo
Xshare/locale/ro/LC_MESSAGES/jokosher.mo
Xshare/locale/ru/LC_MESSAGES/jokosher.mo
Xshare/locale/sk/LC_MESSAGES/jokosher.mo
Xshare/locale/sl/LC_MESSAGES/jokosher.mo
Xshare/locale/sv/LC_MESSAGES/jokosher.mo
Xshare/locale/tl/LC_MESSAGES/jokosher.mo
Xshare/locale/tr/LC_MESSAGES/jokosher.mo
Xshare/locale/uk/LC_MESSAGES/jokosher.mo
Xshare/locale/zh_CN/LC_MESSAGES/jokosher.mo
Xshare/mime/application/x-jokosher.xml
Xshare/mime/packages/jokosher.xml
X%%OMF%%share/omf/jokosher/jokosher-C.omf
Xshare/pixmaps/jokosher.png
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/PlatformUtils
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/elements
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher/ui
X@dirrm %%PYTHON_SITELIBDIR%%/Jokosher
X@dirrmtry share/applications
X@dirrm %%DATADIR%%/Instruments/images
X@dirrm %%DATADIR%%/Instruments
X@dirrm %%DATADIR%%/extensions
X@dirrm %%DATADIR%%/pixmaps
X@dirrm %%DATADIR%%
X@dirrm share/gnome/help/jokosher/C/figures
X@dirrm share/gnome/help/jokosher/C
X@dirrm share/gnome/help/jokosher
X@dirrmtry share/icons/hicolor/48x48/apps
X@dirrmtry share/icons/hicolor/48x48
X@dirrmtry share/icons/hicolor
X@dirrmtry share/icons
X@dirrmtry share/mime/application
X@dirrmtry share/locale/ace/LC_MESSAGES
X@dirrmtry share/locale/ace
X@dirrmtry share/locale/en_PH/LC_MESSAGES
X@dirrmtry share/locale/en_PH
X@dirrmtry share/locale/kk/LC_MESSAGES
X@dirrmtry share/locale/kk
X@dirrmtry share/locale/mr/LC_MESSAGES
X@dirrmtry share/locale/mr
X@dirrmtry share/locale/tl/LC_MESSAGES
X@dirrmtry share/locale/tl
X%%OMF%%@dirrm share/omf/jokosher
X@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
X@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
X@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
X@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
SHAR_END
echo x audio/jokosher/distinfo
sed 's/^X//' > audio/jokosher/distinfo << 'SHAR_END'
XMD5 (jokosher-0.11.5.tar.gz) = 941b1fac0a93e2963afc192545caf320
XSHA256 (jokosher-0.11.5.tar.gz) = 489e0d06c28c3a11b817e7d6e49573ad4942a9cd426ad62dbbf94f3cca03dedb
XSIZE (jokosher-0.11.5.tar.gz) = 1265726
SHAR_END
echo x audio/jokosher/Makefile
sed 's/^X//' > audio/jokosher/Makefile << 'SHAR_END'
X# New ports collection makefile for:	jokosher
X# Date created:				13 Aug 2009
X# Whom:					Anonymous
X#
X# $FreeBSD$
X#
X
XPORTNAME=	jokosher
XPORTVERSION=	0.11.5
XCATEGORIES=	audio
XMASTER_SITES=	http://launchpadlibrarian.net/43860543/
X
XMAINTAINER=	swell.k@gmail.com
XCOMMENT=	Multi-track non-linear audio editing
X
XRUN_DEPENDS+=	${PYTHON_SITELIBDIR}/xdg/__init__.py:${PORTSDIR}/devel/py-xdg \
X		easy_install:${PORTSDIR}/devel/py-setuptools
X
XUSE_PYTHON=	yes
XUSE_PYDISTUTILS=yes
XUSE_GSTREAMER=	gnonlin good python
XINSTALLS_ICONS=	yes
X
XWANT_GNOME=	yes
XWANT_GSTREAMER=	yes
X
XOPTIONS=	DBUS	"D-Bus extension" on \
X		FLAC	"Flac export/import" on \
X		GCONF	"Gnome Audio playback/record" on \
X		JACK	"Jack audio playback/record" off \
X		LADSPA	"Instrument effects" on \
X		LAME	"Mp3 export" off \
X		MP3	"Mp3 import" off \
X		PIDGIN	"Pidgin status extension" off \
X		PROFILES "Gnome Audio Profiles extension" off \
X		PULSE	"PulseAudio playback/record" off \
X		VORBIS	"Ogg Vorbis export/import" on
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_DBUS)
XRUN_DEPENDS+=	${PYTHON_SITELIBDIR}/dbus/__init__.py:${PORTSDIR}/devel/py-dbus
X.endif
X
X.if defined(WITH_GNOME) || ${HAVE_GNOME:Mgnomehier}!=""
XUSE_GNOME+=	desktopfileutils gnomehier
X.endif
X
X.if defined(WITH_GNOME) || defined(WITH_PROFILES) \
X	|| ${HAVE_GNOME:Mpygnome2}!=""
XUSE_GNOME+=	pygnome2
X.endif
X
X.if defined(WITH_PIDGIN)
X. if defined(WITHOUT_DBUS)
XIGNORE=		requires DBUS support
X. endif
XRUN_DEPENDS+=	pidgin:${PORTSDIR}/net-im/pidgin
X.endif
X
X.if !defined(WITHOUT_OMF) || exists(${LOCALBASE}/bin/scrollkeeper-update)
XRUN_DEPENDS+=	scrollkeeper-update:${PORTSDIR}/textproc/scrollkeeper
XINSTALLS_OMF=	yes
XPLIST_SUB+=	OMF=""
X.else
XPLIST_SUB+=	OMF="@comment "
X.endif
X
X.for plugin in flac gconf jack ladspa lame mp3 pulse vorbis
X. if defined(WITH_${plugin:U})
XUSE_GSTREAMER+=${plugin}
X. endif
X.endfor
X
Xpost-patch:	.SILENT
X	${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|g' -e \
X		'\|scrollkeeper-preinstall|s|HELPURI\[fileNum]|"file://" + &|' \
X		${WRKSRC}/bin/${PORTNAME} ${WRKSRC}/${PYSETUP}
X
X.include <bsd.port.post.mk>
SHAR_END
exit
--- jokosher.shar ends here ---
Comment 12 Mark Linimon freebsd_committer freebsd_triage 2010-08-03 02:27:50 UTC
State Changed
From-To: closed->open

New shar received.
Comment 13 Philip M. Gollucci freebsd_committer 2010-09-14 08:08:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 14 dfilter service freebsd_committer 2010-09-23 03:34:20 UTC
pgollucci    2010-09-23 02:34:14 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/jokosher       Makefile distinfo pkg-descr pkg-plist 
  Log:
  Jokosher is a simple yet powerful multi-track studio. With it you can
  create and record music, podcasts and more, all from an integrated
  simple environment.
  
  WWW: http://www.jokosher.org/
  
  PR:             ports/137751
  Submitted by:   Anonymous
  
  Revision  Changes    Path
  1.1141    +1 -0      ports/audio/Makefile
  1.1       +80 -0     ports/audio/jokosher/Makefile (new)
  1.1       +3 -0      ports/audio/jokosher/distinfo (new)
  1.1       +5 -0      ports/audio/jokosher/pkg-descr (new)
  1.1       +339 -0    ports/audio/jokosher/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Philip M. Gollucci freebsd_committer 2010-09-23 03:41:58 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 16 Philip M. Gollucci freebsd_committer 2010-09-23 04:02:35 UTC
State Changed
From-To: closed->feedback

Request feedback 
http://people.freebsd.org/~pgollucci/FreeBSD/logs/9-CURRENT-amd64/jokosher-0.11.5.log
Comment 17 swell.k 2010-09-23 04:46:40 UTC
pgollucci@FreeBSD.org writes:

> Request feedback
> http://people.freebsd.org/~pgollucci/FreeBSD/logs/9-CURRENT-amd64/jokosher-0.11.5.log

Try below patch. I haven't tested it myself yet.

--- a.diff begins here ---
Index: audio/jokosher/Makefile
===================================================================
RCS file: /a/.cvsup/ports/audio/jokosher/Makefile,v
retrieving revision 1.2
diff -u -p -r1.2 Makefile
--- audio/jokosher/Makefile	23 Sep 2010 03:04:08 -0000	1.2
+++ audio/jokosher/Makefile	23 Sep 2010 03:44:59 -0000
@@ -18,14 +18,10 @@ RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/xdg/_
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes
+USE_GNOME=	gnomehier
 USE_GSTREAMER=	gnonlin good python
 INSTALLS_ICONS=	yes
 
-WANT_GNOME=	yes
-WANT_GSTREAMER=	yes
-
-BROKEN=	touches filesystem before make install
-
 OPTIONS=	DBUS	"D-Bus extension" on \
 		FLAC	"Flac export/import" on \
 		GCONF	"Gnome Audio playback/record" on \
@@ -44,10 +40,6 @@ OPTIONS=	DBUS	"D-Bus extension" on \
 RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/dbus/__init__.py:${PORTSDIR}/devel/py-dbus
 .endif
 
-.if defined(WITH_GNOME) || ${HAVE_GNOME:Mgnomehier}!=""
-USE_GNOME+=	desktopfileutils gnomehier
-.endif
-
 .if defined(WITH_GNOME) || defined(WITH_PROFILES) \
 	|| ${HAVE_GNOME:Mpygnome2}!=""
 USE_GNOME+=	pygnome2
@@ -76,7 +68,8 @@ USE_GSTREAMER+=${plugin}
 
 post-patch:	.SILENT
 	${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|g' -e \
-		'\|scrollkeeper-preinstall|s|HELPURI\[fileNum]|"file://" + &|' \
+		'\|scrollkeeper-preinstall|s|HELPURI\[fileNum]|"file://" + &|' -e \
+		's|"update-desktop-database"|&, "${PREFIX}/share/applications"|' \
 		${WRKSRC}/bin/${PORTNAME} ${WRKSRC}/${PYSETUP}
 
 .include <bsd.port.post.mk>
Index: audio/jokosher/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/audio/jokosher/pkg-plist,v
retrieving revision 1.1
diff -u -p -r1.1 pkg-plist
--- audio/jokosher/pkg-plist	23 Sep 2010 02:34:14 -0000	1.1
+++ audio/jokosher/pkg-plist	23 Sep 2010 03:31:40 -0000
@@ -333,7 +333,7 @@ share/pixmaps/jokosher.png
 @dirrmtry share/locale/tl/LC_MESSAGES
 @dirrmtry share/locale/tl
 %%OMF%%@dirrm share/omf/jokosher
-@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
-@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@exec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
+@unexec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
 @exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
 @unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
--- a.diff ends here ---
Comment 18 Philip M. Gollucci freebsd_committer 2010-09-23 04:59:05 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 19 dfilter service freebsd_committer 2010-09-23 05:01:48 UTC
pgollucci    2010-09-23 04:01:43 UTC

  FreeBSD ports repository

  Modified files:
    audio/jokosher       Makefile pkg-plist 
  Log:
  - Unbreak
  
  PR:             ports/137751
  Submitted by:   swell.k@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.3       +3 -10     ports/audio/jokosher/Makefile
  1.2       +2 -2      ports/audio/jokosher/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 Philip M. Gollucci freebsd_committer 2010-09-23 05:01:49 UTC
State Changed
From-To: open->closed

Committed, Thanks!